# class Gem::Commands::ListCommand

Searches for gems starting with the supplied argument.

### Public Class Methods

new ()
Source

    # File lib/rubygems/commands/list_command.rb, line 12
    def initialize
      super "list", "Display local gems whose name matches REGEXP",
           domain: :local, details: false, versions: true,
           installed: nil, version: Gem::Requirement.default

      add_query_options
    end

Calls superclass method `Gem::Command::new`